import type { MjTableSelectRenderOpts } from '.'
import type { RenderParams } from '../mj-form-plugin'

import { VxeUI } from 'vxe-table'

import { mj_table_select } from '../mj-table/const'
import Plugin from './mj-table-select-plugin.vue'
// 创建一个附件上传渲染器
VxeUI.renderer.add(mj_table_select, {
  // 项显示模板
  renderFormItemContent(renderOpts: any, renderParams: any) {
    return (
      <Plugin
        renderOpts={renderOpts as MjTableSelectRenderOpts}
        renderParams={renderParams as RenderParams}
      />
    )
  },
})
